package com.nmgs.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nmgs.entity.MyReturnMap;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@org.apache.ibatis.annotations.Mapper
public interface Mapper  extends BaseMapper<MyReturnMap> {


    Map<String, Object> select(@Param("sql") String sql);
    List selectforlist(@Param("sql") String sql);
    int update(@Param("sql") String sql);
    IPage<Map<String,Object>> selectpage(@Param("sql") String sql, Page<Map<String, Object>> page);
    Map<String, Object> selectlow(@Param("sql") String sql);
    List selectforlistlow(@Param("sql") String sql);

    int insert(@Param("sql") String sql);
}
